# ApplicationFramework
PTKernel
PTColStd

# PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent Class Reference

`#include <PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent.hxx>`

## Public Member Functions

| PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent (const Handle(Standard_Transient)&K1, const Handle(Standard_Persistent)&K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_Standard_Transient & | Key1 () const
Handle_Standard_Persistent & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myKey1
Handle_Standard_Persistent | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent | ( | const Handle(Standard_Transient)& | K1,
|  | const Handle(Standard_Persistent)& | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Transient& PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::Key1 | ( |  | ) | const

Handle_Standard_Persistent& PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::Key2 | ( |  | ) | const

TCollection_MapNodePtr& PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::Next2 | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::myKey1 `[private]`

Handle_Standard_Persistent PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::myKey2 `[private]`

TCollection_MapNodePtr PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent::myNext2 `[private]`

The documentation for this class was generated from the following file:

- PTColStd_DoubleMapNodeOfDoubleMapOfTransientPersistent.hxx